<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="print" id="jobs-per-user-per-period">

 <lire:title>Jobs per User per Period Print Report</lire:title>
 <lire:description>
  <para>This report lists the daily total of jobs per user for each
    printer.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     usage is aggregated.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Jobs per User per Printer by $period</lire:title>
 </lire:display-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period">
   <lire:count name="job_total"/>
   <lire:group sort="printer">
    <lire:field name="printer"/>
    <lire:count name="printer_total_by_day"/>
    <lire:group sort="-job_total_by_day">
     <lire:field name="user"/>
     <lire:count name="job_total_by_day"/>
    </lire:group>
   </lire:group>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>
